Page MenuHomePhabricator

[PPC] Enable -fomit-frame-pointer by default for PPC
ClosedPublic

Authored by inouehrs on Feb 8 2017, 11:31 PM.

Details

Summary

This patch enables -fomit-frame-pointer option by default for PowerPC if -O1 or above optimization level is specified.
GCC already enables this option by default for -O1 or above in all of ppc32, ppc64 and ppc64le.
This option gives some performance improvements in many programs by reducing the overhead in method prologue and epilogue.

Diff Detail

Repository
rL LLVM

Event Timeline

inouehrs created this revision.Feb 8 2017, 11:31 PM
hfinkel edited edge metadata.Feb 9 2017, 7:45 AM

We should have regression tests for this. Maybe update test/Driver/frame-pointer-elim.c?

inouehrs updated this revision to Diff 87821.Feb 9 2017, 9:11 AM

Thank you for the comment.
I added regression tests for PPC in test/Driver/frame-pointer.c as for other platforms.

hfinkel accepted this revision.Mar 1 2017, 11:11 AM

LGTM

This revision is now accepted and ready to land.Mar 1 2017, 11:11 AM
This revision was automatically updated to reflect the committed changes.